#pragma once
#include <string>
#include <initializer_list>
#include <map>
#include <any>
#include <vector>


struct drug
{
	int pharmacy; // 
	std::string name; //!!! При работе с бинарными файлами некорректно использовать string - нужно char name [...]
	int quantity; // 
	double price; // 
	std::string date; //!!! При работе с бинарными файлами некорректно использовать string - нужно char date [...]
	int storage_time; //  

	drug() = default;
	drug(int, std::string, int, double, std::string, int); //!!! Почему строки передаются по значению?

	friend std::istream& operator>> (std::istream&, drug&);
	friend std::ostream& operator<< (std::ostream&, drug&);
};

